- Qt 5.15
- Qt Script
- QScriptEngine Proxy Page
- Qt 5.15.16 Reference Documentation

# QScriptEngine Proxy Page

## Functions

Q_DECL_EXPORT | qScriptDisconnect(QObject *sender, const char *signal, const QScriptValue &receiver, const QScriptValue &function)

## Macros

| Q_SCRIPT_DECLARE_QMETAOBJECT(QMetaObject, ArgType)

## Function Documentation

### Q_DECL_EXPORT qScriptDisconnect(QObject *sender, const char *signal, const QScriptValue &receiver, const QScriptValue &function)

Disconnects the signal in the sender from the given (receiver, function) pair. Returns true if the connection is successfully broken; otherwise returns false.

This function was introduced in Qt 4.4.

See also qScriptConnect().

## Macro Documentation

### Q_SCRIPT_DECLARE_QMETAOBJECT(QMetaObject, ArgType)

Declares the given QMetaObject. Used in combination with QScriptEngine::scriptValueFromQMetaObject() to make enums and instantiation of QMetaObject available to script code. The constructor generated by this macro takes a single argument of type ArgType; typically the argument is the parent type of the new instance, in which case ArgType is `QWidget*` or `QObject*`. Objects created by the constructor will have QScriptEngine::AutoOwnership ownership.

This function was introduced in Qt 4.3.